precision mediump float;

varying mediump vec2 vTextureCoord;

uniform sampler2D uSampler;

uniform vec3 iResolution;
#define SIZE (iResolution.x / 2e1)

void main()
{
  vec3 centralColor = texture2D(uSampler, floor((vTextureCoord*iResolution.xy + .5) / SIZE) * SIZE / iResolution.xy).rgb;
  gl_FragColor = vec4(centralColor.rgb,1.0);
}